/*    
       This software may be used and distributed according to the terms of
       the GNU General Public License (GPL), incorporated herein by
       reference.  Drivers based on this skeleton fall under the GPL and
       must retain the authorship (implicit copyright) notice.
 
       This program is distributed in the hope that it will be useful, but
       WITHOUT ANY WARRANTY; without even the implied warranty of
       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
       General Public License for more details.
 */
package navigator;

import java.awt.event.*;
import java.awt.*;
import javax.swing.*;

/**
 * A frame for the GUI.
 *
 * @author Allen Miu
 */
public class CustomFrame extends JFrame {

    Dimension preferredSize = null;

    public CustomFrame (String frameTitle) 
    {
	super(frameTitle);
	//same thing
	setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
	setBackground(Color.black);
	/*
	  addWindowListener(new WindowAdapter() {
	  public void windowClosing(WindowEvent event) {
	  System.exit(1);
	  } 
	  });
	*/
    }

    public CustomFrame (String frameTitle, int x, int y) 
    {
	this(frameTitle);
	preferredSize = new Dimension(x, y);
	setResizable(true);
    }

    public Dimension getPreferredSize()
    {
	return preferredSize;
    }
}

